Missing documentaion for pre V3?

Vote:
 

I can't find any documentation for versions lower than 3. Am I missing something?

#271395
Feb 09, 2022 1:21
Vote:
 

Thanks Ravindra. Sorry, I should have been more specific. I mean about the pages like how to configure the API for example: Configuration | Optimizely Developer Community

All the examples on those pages apply only to a .NET 5 site configuration.

#271420
Edited, Feb 09, 2022 22:38
Vote:
 

I think you can change the version from this dropdown

#271457
Feb 10, 2022 6:28
Vote:
 

Bumping this topic as I've run into this issue with the Content Management API Configuration section, except there is no version drop down. Any ideas where this went?



V2 documentation exists for the API Fundamentals & the REST Api Reference sections.

#272707
Edited, Feb 22, 2022 2:32
Nat
Vote:
 

Id like to add a +1 to this, I have been unable to find any v2 docs for the content api, the links are broken or only deal with v3/cms 12 stuff now.. :(

#275070
Mar 01, 2022 15:19
Vote:
 

Regarding Content Management API

I placed the version 2 information in the documentation archive and made links to each in the topics using the Other versions selector.

Optimizely Content Management API Developer Guide 2 and higher
  - Getting started with Content Management API 3 (and 2)  
      - Configuration 3 (and 2)
      - Deserialization 3 (and 2)
  - API fundamentals 3 (and 2)
  - REST API Reference is a link to the (obviously) REST API

#275264
Edited, Mar 01, 2022 21:19
Mario - Mar 01, 2022 22:04
Thanks Mark, but this post is about the Content Delivery API, could you do the same for this? The Configuration page for example still doesn't have a v2 section.
Justin Z. - Mar 02, 2022 14:10
Thanks, Mark. Appreciate the quick fix.

Mark Metcalfe - Mar 02, 2022 18:01
@Mano. Most of the Content Delivery API has version selectors, but I will see if I can clarify that section a bit. (I was responding to the person who piggybacked on this thread about the Content Management API.)
Vote:
 

@Mano: Regarding Content Delivery API
I found previous versions of the following topics. Use the version selector to see the previous versions of the topic.

All other topics apply to the versions listed. I also attempted to make the Applies to versions field a little more clear.

#275400
Mar 02, 2022 18:46
* You are NOT allowed to include any hyperlinks in the post because your account hasn't associated to your company. User profile should be updated.